Kerbal Space Program - Bug #22922

Breaking Ground: [LandClassROC] Excessive Log Spam
06/17/2019 05:50 PM - TonkaCrash

Status: Closed Start date: 06/17/2019
Severity: Normal % Done: 100%
Assignee:

Category: Application

Target version: 1.7.3

Version: 1.7.2 Language: English (US)
Platform: Windows Mod Related: No
Expansion: Breaking Ground

Description

I've got a ship in a equatorial Mun orbit just above 10,000m with a scanner arm attached, yet my log is filling with update messages
from what | guess is a module related to the new surface features. Normally when | see mods spitting out messages at this rate |
download the mod, comment out the logging and usually see a performance improvement.

| watch the console window quite frequently to look for mod bugs, but this makes that very difficult in this situation.

1) Why am | seeing these messages at all?

2) Why am | seeing them at a range where surface features are not at all visible?

3) I am in equatorial orbit above the Min Safe Altitude of the Mun. Can whatever process that causes this be optimized to not occur in

this situation?

[[https://www.dropbox.com/s/uénav7j6dgkagrzi/KSP.Log_ROC_Spam.zip?di=0]]

For example this is one block, the frequecy varies, from every 5 to 20 seconds.

[LOG 12:29:17.881] [LandClassROC]: ROC munStone
[LOG 12:29:17.881] [LandClassROC]: ROC munStone
[LOG 12:29:17.881] [LandClassROC]: ROC munStone(Clone) after rotation height = 0.6012534

[LOG 12:29:17.881] [LandClassROC]: ROC munStone(Clone) after rotation height = 0.6012534

[LOG 12:29:17.881] [LandClassROC]: ROC munStone(Clone) after rotation height = 0.6012534

[LOG 12:29:17.881] [LandClassROC]: Quad Mun Zn30110010 Area 1.164365 KM"2 Create 6 MunStone
[LOG 12:29:17.881] [LandClassROC]: ROC munCrater(Clone) after rotation height = 1.162161

[LOG 12:29:17.881] [LandClassROC]: Quad Mun Zn30110010 Area 1.164365 KM"2 Create 1 MunCrater

Clone
Clone

after rotation height = 0.6012534
after rotation height = 0.6012534

A~~~
[LOG 12:29:17.882] [LandClassROC]:
[LOG 12:29:17.882] [LandClassROC]:
[LOG 12:29:17.882] [LandClassROC]:
[LOG 12:29:17.882] [LandClassROC]:
[LOG 12:29:17.882] [LandClassROC]:

ROC munStone(Clone) after rotation height = 0.6012534
ROC munStone(Clone) after rotation height = 0.6012534
ROC munStone(Clone) after rotation height = 0.6012534
ROC munStone(Clone) after rotation height = 0.6012534
ROC munStone(Clone) after rotation height = 0.6012534

[LOG 12:29:17.882] [LandClassROC]: Quad Mun Zn30110011 Area 1.164365 KM”2 Create 5 MunStone

[LOG 12:29:17.882] [LandClassROC]: ROC munCrater(Clone) after rotation height = 1.162161

[LOG 12:29:17.882] [LandClassROC]: Quad Mun Zn30110011 Area 1.164365 KM"2 Create 1 MunCrater
[LOG 12:29:17.882] [LandClassROC]: ROC munLargeCrater(Clone) after rotation height = 3.197291

[LOG 12:29:17.882] [LandClassROC]: Quad Mun Zn30110011 Area 1.164365 KM"2 Create 1 MunLargeCrater

[LOG 12:29:17.883] [LandClassROC]:
[LOG 12:29:17.883] [LandClassROC]:
[LOG 12:29:17.883] [LandClassROC]:
[LOG 12:29:17.883] [LandClassROC]:
[LOG 12:29:17.883] [LandClassROC]:
[LOG 12:29:17.883] [LandClassROCI:

ROC munStone(Clone) after rotation height = 0.6012534
ROC munStone(Clone) after rotation height = 0.6012534
ROC munStone(Clone) after rotation height = 0.6012534
ROC munStone(Clone) after rotation height = 0.6012534
ROC munStone(Clone) after rotation height = 0.6012534
ROC munStone(Clone) after rotation height = 0.6012534

[LOG 12:29:17.883] [LandClassROC]: Quad Mun Zn30110012 Area 1.164365 KM"2 Create 6 MunStone

[LOG 12:29:17.883] [LandClassROC]: ROC munCrater(Clone) after rotation height = 1.162161

[LOG 12:29:17.883] [LandClassROC]: Quad Mun Zn30110012 Area 1.164365 KM"2 Create 1 MunCrater
[LOG 12:29:17.883] [LandClassROC]: ROC munLargeCrater(Clone) after rotation height = 3.197291

[LOG 12:29:17.884] [LandClassROC]: Quad Mun Zn30110012 Area 1.164365 KM"2 Create 1 MunLargeCrater
[LOG 12:29:17.884] [LandClassROC]: ROC munStone(Clone) after rotation height = 0.6012534

[LOG 12:29:17.884] [LandClassROC]: ROC munStone(Clone) after rotation height = 0.6012534

[LOG 12:29:17.884] [LandClassROC]: ROC munStone(Clone) after rotation height = 0.6012534
https://www.dropbox.com/s/u6nav7j6dqkgrzi/KSP.Log_ROC_Spam.zip?dl=0

[LOG 12:29:17.884] [LandClassROC]: ROC munStone(Clone) after rotation height = 0.6012534

[LOG 12:29:17.884] [LandClassROC]: ROC munStone(Clone) after rotation height = 0.6012534

[LOG 12:29:17.884] [LandClassROC]: Quad Mun Zn30110013 Area 1.164365 KM"2 Create 5 MunStone
[LOG 12:29:17.884] [LandClassROC]: ROC munCrater(Clone) after rotation height = 1.162161

[LOG 12:29:17.884] [LandClassROC]: Quad Mun Zn30110013 Area 1.164365 KM”2 Create 1 MunCrate

History

#1 - 06/18/2019 02:16 PM - diomedea

- Category changed from Bug Tracker to Application
- Status changed from New to Confirmed

- Severity changed from Low to Normal

- % Done changed from 0 to 10

Well, yes, you have a good point.

LandClassROC logging was introduced during development as a tool for testing the surface features placement. Tests had to keep being done until
very late, but were completed for 1.7.2

There's no more need now to have those messages logged, while (as you correctly hinted) they bring to a performance drop.

#3 - 07/16/2019 12:14 AM - chris.fulton
- Status changed from Confirmed to Ready to Test
- Target version setto 1.7.3

- % Done changed from 10 to 80

Several Changes and bug fixes have been made, moving this bug to RTT and can you check it in 1.7.3.2594?

#4 - 07/16/2019 08:37 PM - TonkaCrash

chris.fulton wrote:

Several Changes and bug fixes have been made, moving this bug to RTT and can you check it in 1.7.3.25947?

This is fixed, | no longer see these messages in 1.7.3.2594.

#5 - 02/20/2020 06:29 AM - Anth12
- Status changed from Ready to Test to Resolved
- % Done changed from 80 to 100

#6 - 02/21/2020 01:44 AM - chris.fulton

- Status changed from Resolved to Closed
